[EPIC] Portal Production release: bug fixes and small updates
Closed, ResolvedPublic

Description

This is a ticket to describe what we'll be releasing into production, probably in early April 2016.

It contains mostly bug fixes and minor updates from our March 10, 2016 production release of the new search box on the wikipedia.org portal page.

https://phabricator.wikimedia.org/T129636 Too much left padding in search box
https://phabricator.wikimedia.org/T129622 wikipedia.org search box language dropdown is invisible using Opera 12
https://phabricator.wikimedia.org/T130152 Portal: search suggestions are not continually updated when a parenthesis is in search query
https://phabricator.wikimedia.org/T130657 Multiple redirects to the same result throw an error
https://phabricator.wikimedia.org/T129696 Multi-line title or description causes visual overflow
https://phabricator.wikimedia.org/T129614 Make the entire suggestion clickable
https://phabricator.wikimedia.org/T129639 Search Suggestions API call doesn't need the list=prefixsearch parameter

Adding these as well - will edit them out later if they won't make this production release:
https://phabricator.wikimedia.org/T129876 Redirects produce non-obvious search results
https://phabricator.wikimedia.org/T129613 Typeahead suggestions sometimes freeze on results for incomplete search query

debt created this task.Mar 23 2016, 6:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2016, 6:39 PM
debt moved this task from Done to Needs code review on the Discovery-Portal-Sprint board.
debt moved this task from Needs code review to Done on the Discovery-Portal-Sprint board.
debt closed this task as Resolved.Apr 14 2016, 11:24 PM

This was deployed in the afternoon of April 14, 2016.

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Apr 14 2016, 11:25 PM